<?php

require_once "../../maincore.php";
require_once THEMES."templates/admin_header_mce.php";

require_once INFUSIONS."ds_board_panel/infusion_db.php";

if (file_exists(INFUSIONS."ds_board_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."ds_board_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."ds_board_panel/locale/Russian.php";
}

if (!checkrights("DSB") || !defined("iAUTH") || $_GET['aid'] != iAUTH) {  die("Access Denied"); }

if ($settings['tinymce_enabled'] == 1) {
	echo "<script language='javascript' type='text/javascript'>advanced();</script>\n";
} else {
	require_once INCLUDES."html_buttons_include.php";
}

if (isset($_GET['status']) && !isset($message)) {
	if ($_GET['status'] == "sn") {
		$message = $locale['dsb610'];
	} elseif ($_GET['status'] == "su") {
		$message = $locale['dsb611'];
	} elseif ($_GET['status'] == "del") {
		$message = $locale['dsb612'];
	}
	if ($message) {	echo "<div class='admin-message'>".$message."</div>\n"; }
}

opentable($locale['dsb226']);
echo "<table width=100%><tr>
<td align = center><b><a href=".INFUSIONS."ds_board_panel/ds_board_cats.php".$aidlink.">".$locale['dsb417']."</a></b></td>
<td align = center><b><a href=".INFUSIONS."ds_board_panel/ds_board_submissions.php".$aidlink.">".$locale['dsb227']."</a></b></td></tr></table>";

$resultb = dbquery("SELECT * FROM ".DB_SUBMISSIONS." WHERE submit_type='b'");
		if (dbrows($resultb)) {
		echo "<div style=text-align:center><hr><a href='".INFUSIONS."ds_board_panel/ds_board_submissions.php".$aidlink."'>".$locale['dsb428']."</a><hr></div>";
		}
closetable();

$result = dbquery("SELECT * FROM ".DB_DS_BOARD_CATS);
if (dbrows($result)) {
	if (isset($_POST['save'])) {
		$subject = stripinput($_POST['subject']);
		$body = addslash($_POST['body']);
		$body2 = stripinput($_POST['body2']);
		$email = trim(stripinput($_POST['email']));
		$tel = stripinput($_POST['tel']);
		$board_valid_day = isNum($_POST['board_valid_day']) ? $_POST['board_valid_day'] : 0;
		$board_valid_month = isNum($_POST['board_valid_month']) ? $_POST['board_valid_month'] : 0;
		$board_valid_year = isNum($_POST['board_valid_year']) ? $_POST['board_valid_year'] : 0;
		$board_valid_till = mktime(0, 0, 0, $board_valid_month, $board_valid_day, $board_valid_year);
		if ($board_valid_till < time()) {
		$board_valid_till = 0;
		}
  		$draft = isset($_POST['ds_board_draft']) ? "1" : "0";
		if ($settings['tinymce_enabled'] != 1) { $breaks = isset($_POST['line_breaks']) ? "y" : "n"; } else { $breaks = "n"; }
		$comments = isset($_POST['ds_board_comments']) ? "1" : "0";
		$ratings = isset($_POST['ds_board_ratings']) ? "1" : "0";
		if (isset($_POST['ds_board_id']) && isnum($_POST['ds_board_id'])) {
			$result = dbquery("UPDATE ".DB_DS_BOARD." SET ds_board_cat='".intval($_POST['ds_board_cat'])."', ds_board_subject='$subject', ds_board_snippet='$body', ds_board_article='$body2', ds_board_email='$email', ds_board_tel='$tel', ds_board_valid_till='$board_valid_till', ds_board_draft='$draft', ds_board_breaks='$breaks', ds_board_allow_comments='$comments', ds_board_allow_ratings='$ratings' WHERE ds_board_id='".$_POST['ds_board_id']."'");
			redirect(FUSION_SELF.$aidlink."&status=su");
		} else {
			$result = dbquery("INSERT INTO ".DB_DS_BOARD." (ds_board_cat, ds_board_subject, ds_board_snippet, ds_board_article, ds_board_email, ds_board_tel, ds_board_valid_till, ds_board_draft, ds_board_breaks, ds_board_name, ds_board_datestamp, ds_board_reads, ds_board_allow_comments, ds_board_allow_ratings) VALUES ('".intval($_POST['ds_board_cat'])."', '$subject', '$body', '$body2', '$email', '$tel', '$board_valid_till', '$draft', '$breaks', '".$userdata['user_id']."', '".time()."', '0', '$comments', '$ratings')");
			redirect(FUSION_SELF.$aidlink."&status=sn");
		}
	} else if (isset($_POST['delete']) && (isset($_POST['ds_board_id']) && isnum($_POST['ds_board_id']))) {
		$result = dbquery("DELETE FROM ".DB_DS_BOARD." WHERE ds_board_id='".$_POST['ds_board_id']."'");
		$result = dbquery("DELETE FROM ".DB_COMMENTS." WHERE comment_item_id='".$_POST['ds_board_id']."' and comment_type='B'");
		$result = dbquery("DELETE FROM ".DB_RATINGS." WHERE rating_item_id='".$_POST['ds_board_id']."' and rating_type='B'");
		redirect(FUSION_SELF.$aidlink."&status=del");
	} else {
		if (isset($_POST['preview'])) {
		$ds_board_cat = $_POST['ds_board_cat'];
		$subject = stripinput($_POST['subject']);
		$body = stripslash($_POST['body']);
		$body2 = stripinput($_POST['body2']);
		$email = trim(stripinput($_POST['email']));
		$tel = stripinput($_POST['tel']);
		$board_valid_day = isNum($_POST['board_valid_day']) ? $_POST['board_valid_day'] : 0;
		$board_valid_month = isNum($_POST['board_valid_month']) ? $_POST['board_valid_month'] : 0;
		$board_valid_year = isNum($_POST['board_valid_year']) ? $_POST['board_valid_year'] : 0;
		$board_valid_till = mktime(0, 0, 0, $board_valid_month, $board_valid_day, $board_valid_year);
		if ($board_valid_till < time()) {
		$board_valid_till = 0;
		}
		if ($board_valid_till == 0) {
		$valid_till = $locale['dsb430'];
		} else {
		$valid_till = date("d.m.Y", $board_valid_till);
		};
		$draft = isset($_POST['ds_board_draft']) ? " checked='checked'" : "";
		$bodypreview = $body;
			if (isset($_POST['line_breaks'])) {
				$breaks = " checked='checked'";
				$bodypreview = nl2br($body);
			} else {
				$breaks = "";
			}
			$comments = isset($_POST['ds_board_comments']) ? " checked='checked'" : "";
			$ratings = isset($_POST['ds_board_ratings']) ? " checked='checked'" : "";
			opentable($subject);
			echo $bodypreview."\n";
			closetable();
			opentable($locale['dsb457']);
			echo "<table><tr>";
			if ($body2) {echo "<td class='tbl'><b>".$locale['dsb435']."</b> ".$body2."</td>\n";}
			echo "<td class='tbl'><b>".$locale['dsb429']."</b> ".$valid_till."</td></tr><tr>\n";
			if ($email) {echo "<td class='tbl'><b>".$locale['dsb436']."</b> ".hide_email($email)."</td>\n";}
			if ($tel)  {echo "<td class='tbl'><b>".$locale['dsb437']."</b> ".$tel."</td>\n";}
			echo "</tr></table>\n";
			closetable();
		}
		$result = dbquery("SELECT * FROM ".DB_DS_BOARD." ORDER BY ds_board_draft DESC, ds_board_datestamp DESC");
		if (dbrows($result)) {
			$editlist = ""; $sel = "";
			while ($data = dbarray($result)) {
				if ((isset($_POST['ds_board_id']) && isnum($_POST['ds_board_id'])) || (isset($_GET['ds_board_id']) && isnum($_GET['ds_board_id']))) {
					$ds_board_id = isset($_POST['ds_board_id']) ? $_POST['ds_board_id'] : $_GET['ds_board_id'];
					$sel = ($ds_board_id == $data['ds_board_id'] ? " selected='selected'" : "");
				} else {
					$sel = "";
				}
				$editlist .= "<option value='".$data['ds_board_id']."'".$sel.">".($data['ds_board_draft'] ? $locale['dsb433']." " : "").$data['ds_board_subject']."</option>\n";
			}
			opentable($locale['dsb222']);
			echo "<div style='text-align:center'>\n<form name='selectform' method='post' action='".FUSION_SELF.$aidlink."&amp;action=edit'>\n";
			echo "<select name='ds_board_id' class='textbox' style='width:250px;'>\n".$editlist."</select>\n";
			echo "<input type='submit' name='edit' value='".$locale['dsb223']."' class='button' />\n";
			echo "<input type='submit' name='delete' value='".$locale['dsb214']."' onclick='return Deleteds_board();' class='button' />\n";
			echo "</form>\n</div>\n";
			closetable();
		}

		if ((isset($_GET['action']) && $_GET['action'] == "edit") && (isset($_POST['ds_board_id']) && isnum($_POST['ds_board_id'])) || (isset($_GET['ds_board_id']) && isnum($_GET['ds_board_id']))) {
			$result = dbquery("SELECT * FROM ".DB_DS_BOARD." WHERE ds_board_id='".(isset($_POST['ds_board_id']) ? $_POST['ds_board_id'] : $_GET['ds_board_id'])."'");
			if (dbrows($result)) {
				$data = dbarray($result);
				$ds_board_cat = $data['ds_board_cat'];
				$subject = $data['ds_board_subject'];
				$body = stripslashes($data['ds_board_snippet']);
				$body2 = $data['ds_board_article'];
				$email = $data['ds_board_email'];
				$tel = $data['ds_board_tel'];
                                $board_valid_till = $data['ds_board_valid_till'];
				$board_valid_day = date("d", $board_valid_till);
				$board_valid_month = date("m", $board_valid_till);
				$board_valid_year = date("Y", $board_valid_till);
				$draft = $data['ds_board_draft'] ? " checked='checked'" : "";
				$breaks = $data['ds_board_breaks'] == "y" ? " checked='checked'" : "";
				$comments = $data['ds_board_allow_comments'] ? " checked='checked'" : "";
				$ratings = $data['ds_board_allow_ratings'] ? " checked='checked'" : "";
			} else {
				redirect(FUSION_SELF.$aidlink);
			}
		}
		if ((isset($_POST['ds_board_id']) && isnum($_POST['ds_board_id'])) || (isset($_GET['ds_board_id']) && isnum($_GET['ds_board_id']))) {
			opentable($locale['dsb224']);
		} else {
			if (!isset($_POST['preview'])) {
				$subject = "";
				$body = "";
				$body2 = "";
				$email = "";
				$tel = "";
				$board_valid_till = "0";
				$draft = "";
				$breaks = " checked='checked'";
				$comments = " checked='checked'";
				$ratings = " checked='checked'";
			}
			opentable($locale['dsb225']);
		}
		$result = dbquery("SELECT * FROM ".DB_DS_BOARD_CATS." ORDER BY ds_board_cat_name DESC");
		$catlist = ""; $sel = "";
		while ($data = dbarray($result)) {
			if (isset($ds_board_cat)) $sel = ($ds_board_cat == $data['ds_board_cat_id'] ? " selected='selected'" : "");
			$catlist .= "<option value='".$data['ds_board_cat_id']."'$sel>".$data['ds_board_cat_name']."</option>\n";
		}
		echo "<form name='inputform' method='post' action='".FUSION_SELF.$aidlink."' onsubmit='return ValidateForm(this)'>\n";
		echo "<table cellpadding='0' cellspacing='0' class='center'>\n<tr>\n";
		echo "<td width='100' class='tbl'>".$locale['dsb440']."</td>\n";
		echo "<td class='tbl'><select name='ds_board_cat' class='textbox' style='width:250px;'>".$catlist."</select></td>\n";
		echo "</tr>\n<tr>\n";
		echo "<td width='100' class='tbl'>".$locale['dsb522']."</td>\n";
		echo "<td class='tbl'><input type='text' name='subject' value='$subject' maxlength='64' class='textbox' style='width:250px;' /></td>\n";
		echo "</tr>\n<tr>\n";
		echo "<td valign='top' width='100' class='tbl'>".$locale['dsb523']."</td>\n";
		echo "<td class='tbl'><textarea name='body' cols='95' rows='10' class='textbox' style='width:98%'>".$body."</textarea></td>\n";
		echo "</tr>\n";
		if ($settings['tinymce_enabled'] != 1) {
			echo "<tr>\n<td class='tbl'></td>\n<td class='tbl'>\n";
			echo display_html("inputform", "body", true, true, true);
			echo "</td>\n</tr>\n";
		}
  		echo "<tr>\n<td valign='top' width='100' class='tbl'>".$locale['dsb435']."</td>\n";
		echo "<td class='tbl'><input type='text' name='body2' value='$body2' maxlength='38' class='textbox' style='width:250px;' /></td>\n";
		echo "</tr><tr>\n";
		echo "<td width='100' class='tbl'>".$locale['dsb436']."</td>\n";
		echo "<td class='tbl'><input type='text' name='email' value='$email' maxlength='38' class='textbox' style='width:250px;' /></td>\n";
		echo "</tr>\n<tr>\n";
		echo "<td width='100' class='tbl'>".$locale['dsb437']."</td>\n";
		echo "<td class='tbl'><input type='text' name='tel' value='$tel' maxlength='30' class='textbox' style='width:250px;' /></td>\n";
		echo "</tr>\n<tr>\n";
		echo "<td valign='top' class='tbl'>".$locale['dsb429']."</td>\n";
		echo "<td class='tbl'>".$locale['dsb431']." <select name='board_valid_day' id='board_valid_day' class='textbox'>\n";
                        if ($board_valid_day && $board_valid_till) {echo "<option value='$board_valid_day'>$board_valid_day</option>\n";}
			echo "<option value='0'>--</option>\n";
			for ($i = 1; $i <= 31; $i++) {
			echo "<option value='$i'>".$i."</option>\n";
			};
    			echo "</select>\n";
        		echo $locale['dsb432']." <select name='board_valid_month' id='board_valid_month' class='textbox'>\n";
        		if ($board_valid_month && $board_valid_till) {echo "<option value='$board_valid_month'>$board_valid_month</option>\n";}
			echo "<option value='0'>--</option>\n";
			for ($i = 1; $i <= 12; $i++) {
			echo "<option value='$i'>".$i."</option>\n";
			};
    			echo "</select>\n";
        		echo $locale['dsb434']." <select name='board_valid_year' id='board_valid_year' class='textbox'>\n";
        		if ($board_valid_year && $board_valid_till) {echo "<option value='$board_valid_year'>$board_valid_year</option>\n";}
			echo "<option value='0'>----</option>\n";
			$year = date("Y", time());
			for ($i = $year; $i <= $year + 5; $i++) {
			echo "<option value='$i'>".$i."</option>\n";
			};
    			echo "</select>\n";
			echo "</tr>\n<tr>\n";
		echo "<td class='tbl'></td><td class='tbl'>\n";
		echo "<label><input type='checkbox' name='ds_board_draft' value='yes'".$draft." /> ".$locale['dsb202']."</label><br />\n";
		if ($settings['tinymce_enabled'] != 1) { echo "<label><input type='checkbox' name='line_breaks' value='yes'".$breaks." /> ".$locale['dsb207']."</label><br />\n"; }
		echo "<label><input type='checkbox' name='ds_board_comments' value='yes'".$comments." /> ".$locale['dsb208']."</label><br />\n";
		echo "<label><input type='checkbox' name='ds_board_ratings' value='yes'".$ratings." /> ".$locale['dsb209']."</label></td>\n";
		echo "</tr>\n<tr>\n";
		echo "<td align='center' colspan='2' class='tbl'><br />\n";
		if ((isset($_POST['ds_board_id']) && isnum($_POST['ds_board_id'])) || (isset($_GET['ds_board_id']) && isnum($_GET['ds_board_id']))) {
			echo "<input type='hidden' name='ds_board_id' value='".(isset($_POST['ds_board_id']) ? $_POST['ds_board_id'] : $_GET['ds_board_id'])."' />\n";
		}
		echo "<input type='submit' name='preview' value='".$locale['dsb200']."' class='button' />\n";
		echo "<input type='submit' name='save' value='".$locale['dsb205']."' class='button' /></td>\n";
		echo "</tr>\n</table>\n</form>\n";
		closetable();
		echo "<script type='text/javascript'>"."\n"."function Deleteds_board() {\n";
		echo "return confirm('".$locale['dsb451']."');\n}\n";
		echo "function ValidateForm(frm) {"."\n"."if(frm.subject.value=='') {\n";
		echo "alert('".$locale['dsb550']."');"."\n"."return false;\n}\n}\n</script>\n";
	}

} else {
	opentable($locale['dsb_title']);
	echo "<div style='text-align:center'>".$locale['dsb452']."<br />\n".$locale['dsb453']."<br />\n";
	echo "<a href='ds_board_cats.php".$aidlink."'>".$locale['dsb454']."</a>".$locale['dsb455']."</div>\n";
	closetable();
}

require_once THEMES."templates/footer.php";
?>