<?php

require_once "../../maincore.php";
require_once THEMES."templates/admin_header.php";
require_once INFUSIONS."ds_board_panel/infusion_db.php";

if (file_exists(INFUSIONS."ds_board_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."ds_board_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."ds_board_panel/locale/Russian.php";
}

if (!checkRights("DSB") || !defined("iAUTH") || $_GET['aid'] != iAUTH) { die("Access Denied"); }

if (isset($_GET['status']) && !isset($message)) {
	if ($_GET['status'] == "sn") {
		$message = $locale['dsb410'];
	} elseif ($_GET['status'] == "su") {
		$message = $locale['dsb411'];
	} elseif ($_GET['status'] == "deln") {
		$message = $locale['dsb412']."<br />\n<span class='small'>".$locale['dsb413']."</span>";
	} elseif ($_GET['status'] == "dely") {
		$message = $locale['dsb414'];
	}
	if ($message) {	echo "<div class='admin-message'>".$message."</div>\n"; }
}

opentable($locale['dsb226']);
echo "<table width=100%><tr>
<td align = center><B><a href=".INFUSIONS."ds_board_panel/ds_board_admin.php".$aidlink.">".$locale['dsb201']."</a></B></td>
<td align = center><b><a href=".INFUSIONS."ds_board_panel/ds_board_submissions.php".$aidlink.">".$locale['dsb227']."</a></b></td></tr></table>";
$resultb = dbquery("SELECT * FROM ".DB_SUBMISSIONS." WHERE submit_type='b'");
		if (dbrows($resultb)) {
		echo "<div style=text-align:center><hr><a href='".INFUSIONS."ds_board_panel/ds_board_submissions.php".$aidlink."'>".$locale['dsb428']."</a><hr></div>";
		}
closetable();

if ((isset($_GET['action']) && $_GET['action'] == "delete") && (isset($_GET['cat_id']) && isnum($_GET['cat_id']))) {
	$result = dbquery("SELECT * FROM ".DB_DS_BOARD." WHERE ds_board_cat='".$_GET['cat_id']."'");
	if (dbrows($result) != 0) {
		redirect(FUSION_SELF.$aidlink."&status=deln");
	} else {
		$result = dbquery("DELETE FROM ".DB_DS_BOARD_CATS." WHERE ds_board_cat_id='".$_GET['cat_id']."'");
		redirect(FUSION_SELF.$aidlink."&status=dely");
	}
} else {
	if (isset($_POST['save_cat'])) {
		$cat_name = stripinput(trim($_POST['cat_name']));
		$cat_description = stripinput(trim($_POST['cat_description']));
		$cat_access = isnum($_POST['cat_access']) ? $_POST['cat_access'] : "0";		
		if (isnum($_POST['cat_sort_by']) && $_POST['cat_sort_by'] == "1") {
			$cat_sorting = "ds_board_id ".($_POST['cat_sort_order'] == "ASC" ? "ASC" : "DESC");
		} else if (isnum($_POST['cat_sort_by']) && $_POST['cat_sort_by'] == "2") {
			$cat_sorting = "ds_board_subject ".($_POST['cat_sort_order'] == "ASC" ? "ASC" : "DESC");
		} else if (isnum($_POST['cat_sort_by']) && $_POST['cat_sort_by'] == "3") {
			$cat_sorting = "ds_board_datestamp ".($_POST['cat_sort_order'] == "ASC" ? "ASC" : "DESC");
		} else {
			$cat_sorting = "ds_board_subject ASC";
		}
		if ($cat_name) {
			if ((isset($_GET['action']) && $_GET['action'] == "edit") && (isset($_GET['cat_id']) && isnum($_GET['cat_id']))) {
				$result = dbquery("UPDATE ".DB_DS_BOARD_CATS." SET ds_board_cat_name='$cat_name', ds_board_cat_description='$cat_description', ds_board_cat_sorting='$cat_sorting', ds_board_cat_access='$cat_access' WHERE ds_board_cat_id='".$_GET['cat_id']."'");
				redirect(FUSION_SELF.$aidlink."&status=su");
			} else {
				$result = dbquery("INSERT INTO ".DB_DS_BOARD_CATS." (ds_board_cat_name, ds_board_cat_description, ds_board_cat_sorting, ds_board_cat_access) VALUES ('$cat_name', '$cat_description', '$cat_sorting', '$cat_access')");
				redirect(FUSION_SELF.$aidlink."&status=sn");
			}
		} else {
			redirect(FUSION_SELF.$aidlink);
		}
	}
	if ((isset($_GET['action']) && $_GET['action'] == "edit") && (isset($_GET['cat_id']) && isnum($_GET['cat_id']))) {
		$result = dbquery("SELECT * FROM ".DB_DS_BOARD_CATS." WHERE ds_board_cat_id='".$_GET['cat_id']."'");
		if (dbrows($result)) {
			$data = dbarray($result);
			$cat_name = $data['ds_board_cat_name'];
			$cat_description = $data['ds_board_cat_description'];
			$cat_sorting = explode(" ", $data['ds_board_cat_sorting']);
			if ($cat_sorting[0] == "ds_board_id") { $cat_sort_by = "1"; }
			if ($cat_sorting[0] == "ds_board_subject") { $cat_sort_by = "2"; }
			if ($cat_sorting[0] == "ds_board_datestamp") { $cat_sort_by = "3"; }
			$cat_sort_order = $cat_sorting[1];
			$cat_access = $data['ds_board_cat_access'];
			$formaction = FUSION_SELF.$aidlink."&amp;action=edit&amp;cat_id=".$data['ds_board_cat_id'];
			opentable($locale['dsb401']);
		} else {
			redirect(FUSION_SELF.$aidlink);
		}
	} else {
		$cat_name = "";
		$cat_description = "";
		$cat_sort_by = "2";
		$cat_sort_order = "ASC";
		$cat_access = "";
		$formaction = FUSION_SELF.$aidlink;
		opentable($locale['dsb400']);
	}
	$user_groups = getusergroups(); $access_opts = ""; $sel = "";
	while(list($key, $user_group) = each($user_groups)){
		$sel = ($cat_access == $user_group['0'] ? " selected='selected'" : "");
		$access_opts .= "<option value='".$user_group['0']."'$sel>".$user_group['1']."</option>\n";
	}
	echo "<form name='addcat' method='post' action='$formaction'>\n";
	echo "<table cellpadding='0' cellspacing='0' width='400' class='center'>\n<tr>\n";
	echo "<td width='1%' class='tbl' style='white-space:nowrap'>".$locale['dsb420']."</td>\n";
	echo "<td class='tbl'><input type='text' name='cat_name' value='".$cat_name."' class='textbox' style='width:250px;' /></td>\n";
	echo "</tr>\n<tr>\n";
	echo "<td width='1%' class='tbl' style='white-space:nowrap'>".$locale['dsb421']."</td>\n";
	echo "<td class='tbl'><input type='text' name='cat_description' value='".$cat_description."' class='textbox' style='width:250px;' /></td>\n";
	echo "</tr>\n<tr>\n";
	echo "<td width='1%' class='tbl' style='white-space:nowrap'>".$locale['dsb422']."</td>\n";
	echo "<td class='tbl'><select name='cat_sort_by' class='textbox'>\n";
	echo "<option value='1'".($cat_sort_by == "1" ? " selected='selected'" : "").">".$locale['dsb423']."</option>\n";
	echo "<option value='2'".($cat_sort_by == "2" ? " selected='selected'" : "").">".$locale['dsb424']."</option>\n";
	echo "<option value='3'".($cat_sort_by == "3" ? " selected='selected'" : "").">".$locale['dsb425']."</option>\n";
	echo "</select>\n<select name='cat_sort_order' class='textbox'>\n";
	echo "<option value='ASC'".($cat_sort_order == "ASC" ? " selected='selected'" : "").">".$locale['dsb426']."</option>\n";
	echo "<option value='DESC'".($cat_sort_order == "DESC" ? " selected='selected'" : "").">".$locale['dsb427']."</option>\n";
	echo "</select></td>\n";
	echo "</tr>\n<tr>\n";
	echo "<td width='1%' class='tbl' style='white-space:nowrap'>".$locale['dsb218']."</td>\n";
	echo "<td class='tbl'><select name='cat_access' class='textbox'>\n".$access_opts."</select></td>\n";
	echo "</tr>\n<tr>\n";
	echo "<td align='center' colspan='2' class='tbl'>\n";
	echo "<input type='submit' name='save_cat' value='".$locale['dsb217']."' class='button' /></td>\n";
	echo "</tr>\n</table>\n</form>\n";
	closetable();

	opentable($locale['dsb402']);
	echo "<table cellpadding='0' cellspacing='1' width='400' class='tbl-border center'>\n";
	$result = dbquery("SELECT * FROM ".DB_DS_BOARD_CATS." ORDER BY ds_board_cat_name");
	if (dbrows($result) != 0) {
		$i = 0;
		echo "<tr>\n";
		echo "<td class='tbl2'>".$locale['dsb440']."</td>\n";
		echo "<td align='center' width='1%' class='tbl2' style='white-space:nowrap'>".$locale['dsb441']."</td>\n";
		echo "<td align='center' width='1%' class='tbl2' style='white-space:nowrap'>".$locale['dsb442']."</td>\n";
		echo "</tr>\n";
		while ($data = dbarray($result)) {
			$cell_color = ($i % 2 == 0 ? "tbl1" : "tbl2");
			echo "<tr>\n";
			echo "<td class='$cell_color'><strong>".$data['ds_board_cat_name']."</strong><br />\n";
			echo "<span class='small'>".trimlink($data['ds_board_cat_description'], 45)."</span></td>\n";
			echo "<td align='center' width='1%' class='$cell_color' style='white-space:nowrap'>".getgroupname($data['ds_board_cat_access'])."</td>\n";
			echo "<td align='center' width='1%' class='$cell_color' style='white-space:nowrap'><a href='".FUSION_SELF.$aidlink."&amp;action=edit&amp;cat_id=".$data['ds_board_cat_id']."'>".$locale['dsb213']."</a> -\n";
			echo "<a href='".FUSION_SELF.$aidlink."&amp;action=delete&amp;cat_id=".$data['ds_board_cat_id']."' onclick=\"return confirm('".$locale['dsb450']."');\">".$locale['dsb214']."</a></td>\n";
			echo "</tr>\n";
			$i++;
		}
		echo "</table>\n";
	} else {
		echo "<tr><td align='center' class='tbl1'>".$locale['dsb216']."</td></tr>\n</table>\n";
	}
	closetable();
}

require_once THEMES."templates/footer.php";
?>