<?php

require_once "../../maincore.php";
include LOCALE.LOCALESET."print.php";
require_once INFUSIONS."ds_board_panel/infusion_db.php";

if (file_exists(INFUSIONS."ds_board_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."ds_board_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."ds_board_panel/locale/Russian.php";
}

echo "<!DOCTYPE html PUBLIC '-//W3C//DTD XHTML 1.0 Transitional//EN' 'http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd'>\n";
echo "<html>\n<head>\n";
echo "<title>".$settings['sitename']."</title>\n";
echo "<meta http-equiv='Content-Type' content='text/html; charset=".$locale['charset']."' />\n";
echo "<meta name='description' content='".$settings['description']."' />\n";
echo "<meta name='keywords' content='".$settings['keywords']."' />\n";
echo "<style type=\"text/css\">\n";
echo "body { font-family:Verdana,Tahoma,Arial,Sans-Serif;font-size:14px; }\n";
echo "hr { height:1px;color:#ccc; }\n";
echo ".small { font-family:Verdana,Tahoma,Arial,Sans-Serif;font-size:12px; }\n";
echo ".small2 { font-family:Verdana,Tahoma,Arial,Sans-Serif;font-size:12px;color:#666; }\n";
echo "</style>\n</head>\n<body>\n";
if ((isset($_GET['type']) && $_GET['type'] == "B") && (isset($_GET['item_id']) && isnum($_GET['item_id']))) {
	$result = dbquery(
		"SELECT ta.*,tac.*, tu.user_id,user_name FROM ".DB_DS_BOARD." ta
		INNER JOIN ".DB_DS_BOARD_CATS." tac ON ta.ds_board_cat=tac.ds_board_cat_id
		LEFT JOIN ".DB_USERS." tu ON ta.ds_board_name=tu.user_id
		WHERE ds_board_id='".$_GET['item_id']."' AND ds_board_draft='0'"
	);
	$res = false;
	if (dbrows($result)) {
		$data = dbarray($result);
		if (checkgroup($data['ds_board_cat_access'])) {
			$res = true;
			$ds_board = str_replace("<--PAGEBREAK-->", "", stripslashes($data['ds_board_snippet']));
			if ($data['ds_board_breaks'] == "y") { $ds_board = nl2br($ds_board); }
			echo "<strong>".$data['ds_board_subject']."</strong><br />\n";
			echo "<span class='small'>".$locale['400'].$data['user_name'].$locale['401'].ucfirst(showdate("longdate", $data['ds_board_datestamp']))."</span>\n";
			echo "<hr />".$ds_board."\n";
			echo "<hr />\n";
			if ($data['ds_board_article']) {echo "<span class='small'><b>".$locale['dsb435']."</b> ".$data['ds_board_article']."</span><br /><br />\n";}
			echo "<span class='small'><b>".$locale['dsb429']."</b> ".date("d.m.Y", $data['ds_board_valid_till'])."</span><br /><br />\n";
			if ($data['ds_board_email']) {echo "<span class='small'><b>".$locale['dsb436']."</b> ".hide_email($data['ds_board_email'])."</span><br /><br />\n";}
			if ($data['ds_board_tel'])  {echo "<span class='small'><b>".$locale['dsb437']."</b> ".$data['ds_board_tel']."</span>\n";}
		}
	}
	if (!$res) { redirect("../../index.php"); }
} 
echo "</body>\n</html>\n";
?>
