<?php

if (!defined("IN_FUSION")) { die("Access Denied"); }

if (file_exists(INFUSIONS."ds_board_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."ds_board_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."ds_board_panel/locale/Russian.php";
}

// Infusion general information
$inf_title = $locale['dsb_title']." [DS]";
$inf_description = $locale['dsb_desc'];
$inf_version = "1.0";
$inf_developer = "vialish";
$inf_email = "via_lish@ukr.net";
$inf_weburl = "http://ds-webevent.com/";
$inf_folder = "ds_board_panel";
$inf_admin_image = "c-pages.gif";
$inf_admin_panel = "ds_board_admin.php";

$inf_newtables = 2;
$inf_insertdbrows = 2;

$inf_newtable[1] = $db_prefix."ds_board (
ds_board_id MEDIUMINT(8) UNSIGNED NOT NULL AUTO_INCREMENT,
ds_board_cat MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '0',
ds_board_subject VARCHAR(100) NOT NULL DEFAULT '',
ds_board_snippet TEXT NOT NULL,
ds_board_article VARCHAR(38) NOT NULL DEFAULT '',
ds_board_email VARCHAR(38) NOT NULL DEFAULT '',
ds_board_tel VARCHAR(30) NOT NULL DEFAULT '',
ds_board_valid_till INT(10) UNSIGNED NOT NULL DEFAULT '0',
ds_board_draft TINYINT(1) UNSIGNED NOT NULL DEFAULT '0',
ds_board_breaks CHAR(1) NOT NULL DEFAULT '',
ds_board_name MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '1',
ds_board_datestamp INT(10) UNSIGNED NOT NULL DEFAULT '0',
ds_board_reads MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '0',
ds_board_allow_comments TINYINT(1) UNSIGNED NOT NULL DEFAULT '1',
ds_board_allow_ratings TINYINT(1) UNSIGNED NOT NULL DEFAULT '1',
PRIMARY KEY (ds_board_id),
KEY ds_board_datestamp (ds_board_datestamp),
KEY ds_board_reads (ds_board_reads)
) TYPE=MyISAM;";


$inf_newtable[2] = $db_prefix."ds_board_cats (
ds_board_cat_id MEDIUMINT(8) UNSIGNED NOT NULL AUTO_INCREMENT,
ds_board_cat_name VARCHAR(100) NOT NULL DEFAULT '',
ds_board_cat_description VARCHAR(200) NOT NULL DEFAULT '',
ds_board_cat_sorting VARCHAR(50) NOT NULL DEFAULT 'ds_board_datestamp DESC',
ds_board_cat_access TINYINT(3) UNSIGNED NOT NULL DEFAULT '0',
PRIMARY KEY (ds_board_cat_id)
) TYPE=MyISAM;";


$inf_insertdbrow[1] = $db_prefix."ds_board_cats (ds_board_cat_name, ds_board_cat_sorting) VALUES ('', 'ds_board_datestamp ASC')";
$inf_insertdbrow[2] = $db_prefix."ds_board (ds_board_cat, ds_board_subject, ds_board_snippet, ds_board_breaks, ds_board_datestamp) VALUES ('1', '  WEB-', '<a href=\'http://ds-webevent.com/\' target=\'_blank\'>  WEB-</a>. <br>    ,   ,    Web- ,    !      !    RU - 110 .', 'y', '".time()."')";

$inf_droptable[1] = $db_prefix."ds_board";
$inf_droptable[2] = $db_prefix."ds_board_cats";

$inf_adminpanel[1] = array(
	"title" => $locale['dsb_title'],
	"image" => "c-pages.gif",
	"panel" => "ds_board_admin.php",
	"rights" => "DSB"
);

$inf_sitelink[1] = array(
	"title" => $locale['dsb_title'],
	"url" => "ds_board.php",
	"visibility" => "0"
);
$inf_sitelink[2] = array(
	"title" => $locale['dsb_link'],
	"url" => "ds_board_submit.php",
	"visibility" => "101"
);
?>