<?php

require_once "../../maincore.php";
require_once THEMES."templates/admin_header.php";

require_once INFUSIONS."ds_board_panel/infusion_db.php";

if (file_exists(INFUSIONS."ds_board_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."ds_board_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."ds_board_panel/locale/Russian.php";
}

if (!checkrights("DSB") || !defined("iAUTH") || $_GET['aid'] != iAUTH) { redirect("../../index.php"); }
$ds_boards = "";

opentable($locale['dsb226']);
echo "<table width=100%><tr>
<td align = center><b><a href=".INFUSIONS."ds_board_panel/ds_board_cats.php".$aidlink.">".$locale['dsb417']."</a></b></td>
<td align = center><B><a href=".INFUSIONS."ds_board_panel/ds_board_admin.php".$aidlink.">".$locale['dsb201']."</a></B></td>
</tr></table>";
closetable();

if (!isset($_GET['action']) || $_GET['action'] == "1") {
	if (isset($_GET['delete']) && isnum($_GET['delete'])) {
		$result = dbquery("SELECT * FROM ".DB_SUBMISSIONS." WHERE submit_id='".$_GET['delete']."'");
		if (dbrows($result)) {
			$data = dbarray($result);
			opentable($locale['dsb215']);
			$result = dbquery("DELETE FROM ".DB_SUBMISSIONS." WHERE submit_id='".$_GET['delete']."'");
			echo "<br /><div style='text-align:center'>".$locale['dsb403']."<br /><br />\n";
			$resultb = dbquery("SELECT * FROM ".DB_SUBMISSIONS." WHERE submit_type='b'");
			if (dbrows($resultb)) {
			echo "<div style=text-align:center><hr><a href='".INFUSIONS."ds_board_panel/ds_board_submissions.php".$aidlink."'>".$locale['dsb428']."</a><hr></div>";
			} else {
			echo "<a href='".FUSION_SELF.$aidlink."'>".$locale['dsb404']."</a><br />\n";
			}
			echo "</div><br />\n";
			closetable();
		} else {
			redirect(FUSION_SELF.$aidlink);
		}
	} else {
		$result = dbquery("SELECT * FROM ".DB_SUBMISSIONS." WHERE submit_type='b' ORDER BY submit_datestamp DESC");
		if (dbrows($result)) {
			while ($data = dbarray($result)) {
				$submit_criteria = unserialize($data['submit_criteria']);
				$ds_boards .= "<tr>\n<td class='tbl1'>".$submit_criteria['ds_board_subject']."</td>\n";
				$ds_boards .= "<td align='right' width='1%' class='tbl1' style='white-space:nowrap'><span class='small'><a href='".FUSION_SELF.$aidlink."&amp;action=2&amp;t=b&amp;submit_id=".$data['submit_id']."'>".$locale['dsb203']."</a></span> |\n";
				$ds_boards .= "<span class='small'><a href='".FUSION_SELF.$aidlink."&amp;delete=".$data['submit_id']."' onclick='return Deleteds_board();'>".$locale['dsb214']."</a></span></td>\n</tr>\n";
			}
		} else {
			$ds_boards = "<tr>\n<td colspan='2' class='tbl1'>".$locale['dsb229']."</td>\n</tr>\n";
		}
		opentable($locale['dsb227']);
		echo "<table cellpadding='0' cellspacing='1' width='400' class='tbl-border center'>\n<tr>\n";
		echo "<td colspan='2' class='tbl2'><a id='ds_board_submissions' name='ds_board_submissions'></a>\n".$locale['dsb228']."</td>\n";
		echo "</tr>\n".$ds_boards."</table>\n";
		closetable();
	}
}

if ((isset($_GET['action']) && $_GET['action'] == "2") && (isset($_GET['t']) && $_GET['t'] == "b")) {
	if (isset($_POST['publish']) && (isset($_GET['submit_id']) && isnum($_GET['submit_id']))) {
		$result = dbquery(
			"SELECT ts.*, user_id,user_name FROM ".DB_SUBMISSIONS." ts
			LEFT JOIN ".DB_USERS." tu ON ts.submit_user=tu.user_id
			WHERE submit_id='".$_GET['submit_id']."'"
		);
		if (dbrows($result)) {
			$data = dbarray($result);
			$submit_criteria = unserialize($data['submit_criteria']);
			$ds_board_id = $_POST['ds_board_id'];
			$ds_board_cat = $_POST['ds_board_cat'];
			$ds_board_subject = stripinput($_POST['ds_board_subject']);
			$ds_board_snippet = addslash($_POST['ds_board_snippet']);
			$ds_board_body = stripinput($_POST['ds_board_body']);
			$ds_board_email = trim(stripinput($_POST['ds_board_email']));
			$ds_board_tel = stripinput($_POST['ds_board_tel']);
			$board_valid_day = isNum($_POST['board_valid_day']) ? $_POST['board_valid_day'] : 0;
			$board_valid_month = isNum($_POST['board_valid_month']) ? $_POST['board_valid_month'] : 0;
			$board_valid_year = isNum($_POST['board_valid_year']) ? $_POST['board_valid_year'] : 0;
			$ds_board_valid_till = mktime(0, 0, 0, $board_valid_month, $board_valid_day, $board_valid_year);
			if ($ds_board_valid_till < mktime(0, 0, 0, 0, 0, 2009)) {
			$ds_board_valid_till = 0;
			}
			$ds_board_breaks = ($_POST['ds_board_breaks'] == "y") ? "y" : "n";
			$result = dbquery("SELECT * FROM ".DB_DS_BOARD." WHERE ds_board_id='".$ds_board_id."'");
			if (dbrows($result))
			{
			$result = dbquery("UPDATE ".DB_DS_BOARD." SET ds_board_cat='$ds_board_cat', ds_board_subject='$ds_board_subject', ds_board_snippet='$ds_board_snippet', ds_board_article='$ds_board_body', ds_board_email='$ds_board_email', ds_board_tel='$ds_board_tel', ds_board_valid_till='$ds_board_board_valid_till', ds_board_breaks='$ds_board_breaks' WHERE ds_board_id='".$ds_board_id."'");
			} else {
			$result = dbquery("INSERT INTO ".DB_DS_BOARD." (ds_board_cat, ds_board_subject, ds_board_snippet, ds_board_article, ds_board_email, ds_board_tel, ds_board_valid_till, ds_board_breaks, ds_board_name, ds_board_datestamp, ds_board_reads, ds_board_allow_comments, ds_board_allow_ratings) VALUES ('$ds_board_cat', '$ds_board_subject', '$ds_board_snippet', '$ds_board_body', '$ds_board_email', '$ds_board_tel', '$ds_board_valid_till', '$ds_board_breaks', '".$data['user_id']."', '".time()."', '0', '1', '1')");
			}
			$result = dbquery("DELETE FROM ".DB_SUBMISSIONS." WHERE submit_id='".$_GET['submit_id']."'");
			opentable($locale['dsb227']);
			echo "<br /><div style='text-align:center'>".$locale['dsb409']."<br /><br />\n";
			$resultb = dbquery("SELECT * FROM ".DB_SUBMISSIONS." WHERE submit_type='b'");
			if (dbrows($resultb)) {
			echo "<div style=text-align:center><hr><a href='".INFUSIONS."ds_board_panel/ds_board_submissions.php".$aidlink."'>".$locale['dsb428']."</a><hr></div>";
			} else {
			echo "<a href='".FUSION_SELF.$aidlink."'>".$locale['dsb404']."</a><br />\n";
			}
			echo "</div><br />\n";
			closetable();
		} else {
			redirect(FUSION_SELF.$aidlink);
		}
	} else if (isset($_POST['delete']) && (isset($_GET['submit_id']) && isnum($_GET['submit_id']))) {
		opentable($locale['dsb416']);
		$result = dbquery("DELETE FROM ".DB_SUBMISSIONS." WHERE submit_id='".$_GET['submit_id']."'");
		echo "<br /><div style='text-align:center'>".$locale['dsb612']."<br /><br />\n";
		$resultb = dbquery("SELECT * FROM ".DB_SUBMISSIONS." WHERE submit_type='b'");
			if (dbrows($resultb)) {
			echo "<div style=text-align:center><hr><a href='".INFUSIONS."ds_board_panel/ds_board_submissions.php".$aidlink."'>".$locale['dsb428']."</a><hr></div>";
			} else {
			echo "<a href='".FUSION_SELF.$aidlink."'>".$locale['dsb404']."</a><br />\n";
			}
		echo "</div><br />\n";
		closetable();
	} else {	
		if ($settings['tinymce_enabled'] == 1) {
			echo "<script type='text/javascript'>advanced();</script>\n";
		}
		$result = dbquery(
			"SELECT ts.*, user_id,user_name FROM ".DB_SUBMISSIONS." ts
			LEFT JOIN ".DB_USERS." tu ON ts.submit_user=tu.user_id
			WHERE submit_id='".$_GET['submit_id']."'"
		);
		if (dbrows($result)) {
			$data = dbarray($result);
			$submit_criteria = unserialize($data['submit_criteria']);
			$ds_board_id = $submit_criteria['ds_board_id'];
			$ds_board_cat = $submit_criteria['ds_board_cat'];
			$ds_board_subject = $submit_criteria['ds_board_subject'];
			$ds_board_snippet = stripslash($submit_criteria['ds_board_snippet']);
			$ds_board_body = $submit_criteria['ds_board_body'];
			$ds_board_email = $submit_criteria['ds_board_email'];
			$ds_board_tel = $submit_criteria['ds_board_tel'];
                        $ds_board_valid_till = $submit_criteria['ds_board_valid_till'];
			$board_valid_day = date("d", $ds_board_valid_till);
			$board_valid_month = date("m", $ds_board_valid_till);
			$board_valid_year = date("Y", $ds_board_valid_till);
			$ds_board_breaks = $submit_criteria['ds_board_breaks'];
			$result2 = dbquery("SELECT * FROM ".DB_DS_BOARD_CATS." ORDER BY ds_board_cat_name DESC");
			$ds_board_cat_opts = ""; $sel = "";
			while ($data2 = dbarray($result2)) {
				if (isset($ds_board_cat)) $sel = ($ds_board_cat == $data2['ds_board_cat_id'] ? " selected='selected'" : "");
				$ds_board_cat_opts .= "<option value='".$data2['ds_board_cat_id']."'$sel>".$data2['ds_board_cat_name']."</option>\n";
			}
			add_to_title($locale['global_200'].$locale['dsb231'].$locale['global_201'].$ds_board_subject."?");
			opentable($locale['dsb230']);
			echo "<form name='publish' method='post' action='".FUSION_SELF.$aidlink."&amp;sub=submissions&amp;action=2&amp;t=b&amp;submit_id=".$_GET['submit_id']."'>\n";
			echo "<table cellpadding='0' cellspacing='0' class='center'>\n<tr>\n";
			echo "<input type='hidden' name='ds_board_id' value='$ds_board_id'>";
			echo "<td width='100' class='tbl'>".$locale['dsb440']."</td>\n";
			echo "<td width='80%' class='tbl'><select name='ds_board_cat' class='textbox'>\n".$ds_board_cat_opts."</select></td>\n";
			echo "</tr>\n<tr>\n";
			echo "<td width='100' class='tbl'>".$locale['dsb522']."</td>\n";
			echo "<td width='80%' class='tbl'><input type='text' name='ds_board_subject' value='$ds_board_subject' maxlength='64' class='textbox' style='width: 250px' /></td>\n";
			echo "</tr>\n<tr>\n";
			echo "<td valign='top' width='100' class='tbl'>".$locale['dsb523']."</td>\n";
			echo "<td width='80%' class='tbl'><textarea name='ds_board_snippet' cols='60' rows='5' class='textbox' style='width:300px;'>".$ds_board_snippet."</textarea></td>\n";
			echo "</tr>\n";
			echo "<tr>\n<td valign='top' width='100' class='tbl'>".$locale['dsb435']."</td>\n";
			echo "<td class='tbl'><input type='text' name='ds_board_body' value='$ds_board_body' maxlength='38' class='textbox' style='width:250px;' /></td>\n";
			echo "</tr><tr>\n";
			echo "<td width='100' class='tbl'>".$locale['dsb436']."</td>\n";
			echo "<td class='tbl'><input type='text' name='ds_board_email' value='$ds_board_email' maxlength='38' class='textbox' style='width:250px;' /></td>\n";
			echo "</tr>\n<tr>\n";
			echo "<td width='100' class='tbl'>".$locale['dsb437']."</td>\n";
			echo "<td class='tbl'><input type='text' name='ds_board_tel' value='$ds_board_tel' maxlength='30' class='textbox' style='width:250px;' /></td>\n";
			echo "</tr>\n<tr>\n";
			echo "<td valign='top' class='tbl'>".$locale['dsb429']."</td>\n";
			echo "<td class='tbl'>".$locale['dsb431']." <select name='board_valid_day' id='board_valid_day' class='textbox'>\n";
                        if ($board_valid_day && $ds_board_valid_till) {echo "<option value='$board_valid_day'>$board_valid_day</option>\n";}
			echo "<option value='0'>--</option>\n";
			for ($i = 1; $i <= 31; $i++) {
			echo "<option value='$i'>".$i."</option>\n";
			};
    			echo "</select>\n";
        		echo $locale['dsb432']." <select name='board_valid_month' id='board_valid_month' class='textbox'>\n";
        		if ($board_valid_month && $ds_board_valid_till) {echo "<option value='$board_valid_month'>$board_valid_month</option>\n";}
			echo "<option value='0'>--</option>\n";
			for ($i = 1; $i <= 12; $i++) {
			echo "<option value='$i'>".$i."</option>\n";
			};
    			echo "</select>\n";
        		echo $locale['dsb434']." <select name='board_valid_year' id='board_valid_year' class='textbox'>\n";
        		if ($board_valid_year && $ds_board_valid_till) {echo "<option value='$board_valid_year'>$board_valid_year</option>\n";}
			echo "<option value='0'>----</option>\n";
			$year = date("Y", time());
			for ($i = $year; $i <= $year + 5; $i++) {
			echo "<option value='$i'>".$i."</option>\n";
			};
    			echo "</select>\n";
			echo "</tr>\n<tr>\n";
			echo "<td align='center' colspan='2' class='tbl1'><br />\n";
			echo $locale['dsb406']."<a href='".BASEDIR."profile.php?lookup=".$data['user_id']."'>".$data['user_name']."</a><br /><br />\n";
			echo $locale['dsb407']."<br />\n";
			echo "<input type='hidden' name='ds_board_breaks' value='".$ds_board_breaks."' />\n";
			echo "<input type='submit' name='publish' value='".$locale['dsb231']."' class='button' />\n";
			echo "<input type='submit' name='delete' value='".$locale['dsb408']."' onclick='return Deleteds_board();' class='button' />\n";
			echo "</td>\n</tr>\n</table>\n</form>\n";
			closetable();
		} else {
			redirect(FUSION_SELF.$aidlink);
		}
	}
}
echo "<script type='text/javascript'>"."\n"."function Deleteds_board() {\n";
echo "return confirm('".$locale['dsb451']."');\n}\n</script>\n";

require_once THEMES."templates/footer.php";
?>